commit c150ee7fc213c042856b2ac7cc866a6469c909cd
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Fri Jun 28 10:59:05 2013 +0000

    rename FieldObservation -> FieldUnit  #3351

diff --git a/.gitattributes b/.gitattributes
index 26e7bcd469..c246f144ed 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -861,7 +861,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEvent.jav
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEventType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnit.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DeterminationEvent.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/FieldObservation.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/FieldUnit.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/GatheringEvent.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/PreservationMethod.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/SpecimenOrObservationBase.java -text
@@ -1940,7 +1940,7 @@ cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/conversation/IConversationEna
 cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java -text
 cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategy.java -text
 cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeConfigurator.java -text
-cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldObservationCacheStrategy.java -text
+cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategy.java -text
 cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeNotSupportedException.java -text
 cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/MethodNotSupportedByDerivedUnitTypeException.java -text
 cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/AbstractCategoricalDescriptionBuilder.java -text
@@ -2094,7 +2094,7 @@ cdmlib-services/src/main/resources/wsdl/LSIDDataServiceSOAPBindings.wsdl -text
 cdmlib-services/src/main/resources/wsdl/LSIDPortTypes.wsdl -text
 cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/application/FirstDataInserterTest.java -text
 cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategyTest.java -text
-cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldObservationCacheStrategyTest.java -text
+cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategyTest.java -text
 cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeTest.java -text
 cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/ClassificationServiceImplTest.java -text
 cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/CommonServiceImplTest.java -text
diff --git a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/geo/EditGeoService.java b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/geo/EditGeoService.java
index 96f68d751a..5b55b14d7f 100644
--- a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/geo/EditGeoService.java
+++ b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/geo/EditGeoService.java
@@ -30,7 +30,7 @@ import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.Point;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
 import eu.etaxonomy.cdm.persistence.dao.common.IDefinedTermDao;
@@ -150,7 +150,7 @@ public class EditGeoService implements IEditGeoService {
             Map<SpecimenOrObservationType, Color> specimenOrObservationTypeColors,
             Boolean doReturnImage, Integer width, Integer height, String bbox, String backLayer) {
 
-        List<Point> fieldObservationPoints = new ArrayList<Point>();
+        List<Point> fieldUnitPoints = new ArrayList<Point>();
         List<Point> derivedUnitPoints = new ArrayList<Point>();
 
         IndividualsAssociation individualsAssociation;
@@ -160,8 +160,8 @@ public class EditGeoService implements IEditGeoService {
             SpecimenOrObservationBase<?> specimenOrObservation = occurrenceDao
                     .load(specimenOrObservationBase.getUuid());
 
-            if (specimenOrObservation instanceof FieldObservation) {
-                fieldObservationPoints.add(((FieldObservation) specimenOrObservation).getGatheringEvent()
+            if (specimenOrObservation instanceof FieldUnit) {
+                fieldUnitPoints.add(((FieldUnit) specimenOrObservation).getGatheringEvent()
                         .getExactLocation());
             }
             if (specimenOrObservation instanceof DerivedUnit) {
@@ -169,7 +169,7 @@ public class EditGeoService implements IEditGeoService {
             }
         }
 
-        return EditGeoServiceUtilities.getOccurrenceServiceRequestParameterString(fieldObservationPoints,
+        return EditGeoServiceUtilities.getOccurrenceServiceRequestParameterString(fieldUnitPoints,
                 derivedUnitPoints, specimenOrObservationTypeColors, doReturnImage, width, height, bbox, backLayer);
 
     }
@@ -183,9 +183,9 @@ public class EditGeoService implements IEditGeoService {
         Set<SpecimenOrObservationBase> originals = derivedUnit.getOriginals();
         if (originals != null) {
             for (SpecimenOrObservationBase original : originals) {
-                if (original instanceof FieldObservation) {
-                    if (((FieldObservation) original).getGatheringEvent() != null) {
-                        Point point = ((FieldObservation) original).getGatheringEvent().getExactLocation();
+                if (original instanceof FieldUnit) {
+                    if (((FieldUnit) original).getGatheringEvent() != null) {
+                        Point point = ((FieldUnit) original).getGatheringEvent().getExactLocation();
                         if (point != null) {
                             // FIXME: remove next statement after
                             // DerivedUnitFacade or ABCD import is fixed
diff --git a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/geo/EditGeoServiceUtilities.java b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/geo/EditGeoServiceUtilities.java
index 664aceffee..e69be9c9a9 100644
--- a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/geo/EditGeoServiceUtilities.java
+++ b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/geo/EditGeoServiceUtilities.java
@@ -599,7 +599,7 @@ public class EditGeoServiceUtilities {
     }
 
     /**
-     * @param fieldObservationPoints
+     * @param fieldUnitPoints
      * @param derivedUnitPoints
      * @param specimenOrObservationTypeColors
      * @param doReturnImage TODO
@@ -619,7 +619,7 @@ public class EditGeoServiceUtilities {
      *  &os=1%3Ac%2FFFD700%2F10%2FAporrectodea caliginosa
      */
     public static String getOccurrenceServiceRequestParameterString(
-            	List<Point> fieldObservationPoints,
+            	List<Point> fieldUnitPoints,
             	List<Point> derivedUnitPoints,
             	Map<SpecimenOrObservationType, Color> specimenOrObservationTypeColors,
             	Boolean doReturnImage, Integer width, Integer height, String bbox, String backLayer) {
@@ -639,7 +639,7 @@ public class EditGeoServiceUtilities {
 
             Map<String, String> styleAndData = new HashMap<String, String>();
 
-            addToStyleAndData(fieldObservationPoints, SpecimenOrObservationType.FieldUnit, specimenOrObservationTypeColors, styleAndData);
+            addToStyleAndData(fieldUnitPoints, SpecimenOrObservationType.FieldUnit, specimenOrObservationTypeColors, styleAndData);
             addToStyleAndData(derivedUnitPoints, SpecimenOrObservationType.DerivedUnit, specimenOrObservationTypeColors, styleAndData);
 
             parameters.put("os", StringUtils.join(styleAndData.keySet().iterator(), "||"));
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/CacheUpdaterConfigurator.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/CacheUpdaterConfigurator.java
index cff7ff2fb7..7c7cb7048a 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/CacheUpdaterConfigurator.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/CacheUpdaterConfigurator.java
@@ -73,7 +73,7 @@ public class CacheUpdaterConfigurator extends ImportConfiguratorBase<DefaultImpo
 	private boolean doReferenceBase = true;
 	
 	//SpecimenOrObservationBase
-	private boolean doFieldObservation = true;
+	private boolean doFieldUnit = true;
 	private boolean doDeriveUnit = true;
 	private boolean doDnaSample = true;
 	
@@ -126,7 +126,7 @@ public class CacheUpdaterConfigurator extends ImportConfiguratorBase<DefaultImpo
 			doReferenceBase = false;
 			
 			//SpecimenOrObservationBase
-			doFieldObservation = false;
+			doFieldUnit = false;
 			doDeriveUnit = false;
 			doDnaSample = false;
 			
@@ -222,11 +222,11 @@ public class CacheUpdaterConfigurator extends ImportConfiguratorBase<DefaultImpo
 	public boolean isDoReferenceBase() {
 		return doReferenceBase;
 	}
-	public void setDoFieldObservation(boolean doFieldObservation) {
-		this.doFieldObservation = doFieldObservation;
+	public void setDoFieldUnit(boolean doFieldUnit) {
+		this.doFieldUnit = doFieldUnit;
 	}
-	public boolean isDoFieldObservation() {
-		return doFieldObservation;
+	public boolean isDoFieldUnit() {
+		return doFieldUnit;
 	}
 	public void setDoDeriveUnit(boolean doDeriveUnit) {
 		this.doDeriveUnit = doDeriveUnit;
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/jaxb/DataSet.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/jaxb/DataSet.java
index 8f533676a2..aecc7a298d 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/jaxb/DataSet.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/jaxb/DataSet.java
@@ -83,7 +83,7 @@ import eu.etaxonomy.cdm.model.name.ZoologicalName;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
 import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
@@ -217,7 +217,7 @@ public class DataSet {
     @XmlElements({
     	@XmlElement(name = "DerivedUnit", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = DerivedUnit.class),
     	@XmlElement(name = "DnaSample", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = DnaSample.class),
-    	@XmlElement(name = "FieldObservation", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = FieldObservation.class)
+    	@XmlElement(name = "FieldUnit", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = FieldUnit.class)
     })
     protected List<SpecimenOrObservationBase> occurrences = new ArrayList<SpecimenOrObservationBase>();
     
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/markup/MarkupSpecimenImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/markup/MarkupSpecimenImport.java
index f71d17fa97..7de555f1f5 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/markup/MarkupSpecimenImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/markup/MarkupSpecimenImport.java
@@ -451,7 +451,7 @@ public class MarkupSpecimenImport extends MarkupImportBase  {
 				if (facade.innerDerivedUnit() != null){
 					specimen = facade.innerDerivedUnit();
 				}else{
-					specimen = facade.innerFieldObservation();
+					specimen = facade.innerFieldUnit();
 				}
 				IndividualsAssociation individualsAssociation = IndividualsAssociation.NewInstance();
 				individualsAssociation.setAssociatedSpecimenOrObservation(specimen);
@@ -563,10 +563,10 @@ private void addCurrentAreas(MarkupImportState state, XMLEvent event, DerivedUni
 	public String handleInLineGathering(MarkupImportState state, XMLEventReader reader, XMLEvent parentEvent) throws XMLStreamException {
 		DerivedUnitFacade facade = DerivedUnitFacade.NewInstance(SpecimenOrObservationType.FieldUnit);
 		handleGathering(state, reader, parentEvent, facade);
-		SpecimenOrObservationBase<?> specimen  = facade.innerFieldObservation();
+		SpecimenOrObservationBase<?> specimen  = facade.innerFieldUnit();
 		if (specimen == null){
 			specimen = facade.innerDerivedUnit();
-			String message = "Inline gaterhing has no field observation";
+			String message = "Inline gaterhing has no field unit";
 			fireWarningEvent(message, parentEvent, 2);
 		}
 		
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDataSet.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDataSet.java
index a637aadf4f..ac1f71b81b 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDataSet.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDataSet.java
@@ -80,7 +80,7 @@ import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.name.ViralName;
 import eu.etaxonomy.cdm.model.name.ZoologicalName;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.reference.Reference;
@@ -200,7 +200,7 @@ public class SDDDataSet {
     @XmlElementWrapper(name = "Occurrences")
     @XmlElements({
     	@XmlElement(name = "DnaSample", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = DnaSample.class),
-    	@XmlElement(name = "FieldObservation", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = FieldObservation.class)
+    	@XmlElement(name = "FieldUnit", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = FieldUnit.class)
     })
     protected List<SpecimenOrObservationBase> occurrences;
     
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenSythesysExcelImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenSythesysExcelImport.java
index 140ff2f89a..d23a5c16de 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenSythesysExcelImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/excel/in/SpecimenSythesysExcelImport.java
@@ -54,7 +54,7 @@ import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
@@ -575,7 +575,7 @@ public class SpecimenSythesysExcelImport  extends CdmImportBase<SpecimenSynthesy
             // copy gathering event to facade
             GatheringEvent gatheringEvent = unitsGatheringEvent.getGatheringEvent();
 
-            //join gatheringEvent to fieldObservation
+            //join gatheringEvent to fieldUnit
             derivedUnitFacade.setGatheringEvent(gatheringEvent);
 
             derivedUnitFacade.setLocality(gatheringEvent.getLocality());
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/SimpleSpecimen.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/SimpleSpecimen.java
index b8a6246ce6..71035cc41d 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/SimpleSpecimen.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/SimpleSpecimen.java
@@ -19,7 +19,7 @@ import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
 
 /**
@@ -31,7 +31,7 @@ public class SimpleSpecimen {
 	private static final Logger logger = Logger.getLogger(SimpleSpecimen.class);
 	
 	private GatheringEvent gatheringEvent;
-	private FieldObservation fieldObservation;
+	private FieldUnit fieldUnit;
 	private DerivationEvent derivationEvent;
 	private DerivedUnit specimen;
 	private Collection collection;
@@ -47,12 +47,12 @@ public class SimpleSpecimen {
 		gatheringEvent = GatheringEvent.NewInstance();
 		
 		//observation
-		fieldObservation = FieldObservation.NewInstance();
-		fieldObservation.setGatheringEvent(gatheringEvent);
+		fieldUnit = FieldUnit.NewInstance();
+		fieldUnit.setGatheringEvent(gatheringEvent);
 		
 		//derivationEvent
 		derivationEvent = DerivationEvent.NewInstance(DerivationEventType.ACCESSIONING());
-		derivationEvent.addOriginal(fieldObservation);
+		derivationEvent.addOriginal(fieldUnit);
 		
 		//derivedUnit
 		specimen = DerivedUnit.NewPreservedSpecimenInstance();
diff --git a/cdmlib-io/src/main/resources/schema/cdm/cdm.xsd b/cdmlib-io/src/main/resources/schema/cdm/cdm.xsd
index 1d3a5c9b5b..ca6293f4bd 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/cdm.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/cdm.xsd
@@ -139,7 +139,7 @@ http://www.w3.org/2001/XMLSchema
             <xs:choice minOccurs="0" maxOccurs="unbounded">
               <xs:element ref="occurrence:DerivedUnit"/>
               <xs:element ref="occurrence:DnaSample"/>
-              <xs:element ref="occurrence:FieldObservation"/>
+              <xs:element ref="occurrence:FieldUnit"/>
             </xs:choice>
           </xs:sequence>
         </xs:complexType>
diff --git a/cdmlib-io/src/main/resources/schema/cdm/occurrence.xsd b/cdmlib-io/src/main/resources/schema/cdm/occurrence.xsd
index dba458fbf7..4b19d8d1e1 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/occurrence.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/occurrence.xsd
@@ -45,7 +45,7 @@ xmlns:reference="http://etaxonomy.eu/cdm/model/reference/1.0">
 
   <xs:element name="DnaSample" type="molecular:DnaSample"/>
 
-  <xs:element name="FieldObservation" type="occurrence:FieldObservation"/>
+  <xs:element name="FieldUnit" type="occurrence:FieldUnit"/>
 
   <xs:element name="GatheringEvent" type="occurrence:GatheringEvent"/>
 
@@ -194,7 +194,7 @@ xmlns:reference="http://etaxonomy.eu/cdm/model/reference/1.0">
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="FieldObservation">
+  <xs:complexType name="FieldUnit">
     <xs:complexContent>
       <xs:extension base="occurrence:SpecimenOrObservationBase">
         <xs:sequence>
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/SpecimenTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/SpecimenTest.java
index ddc2ebdc20..26e975fb1b 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/SpecimenTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/SpecimenTest.java
@@ -27,7 +27,7 @@ import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
@@ -59,8 +59,8 @@ public class SpecimenTest {
 			Collection collection = (Collection)dataSet.getCollections().get(0);
 			assertNotNull("Collection must not be null", collection);
 			
-			FieldObservation fieldObservation = (FieldObservation)dataSet.getOccurrences().get(1);
-			assertNotNull("FieldObservation must not be null", fieldObservation);
+			FieldUnit fieldUnit = (FieldUnit)dataSet.getOccurrences().get(1);
+			assertNotNull("FieldUnit must not be null", fieldUnit);
 			assertEquals("Specimen.collection must equal Collection",collection, specimen.getCollection());
 			assertEquals("Collection.institute must equal Institution",institution,collection.getInstitute());
 			
@@ -78,7 +78,7 @@ public class SpecimenTest {
 			DerivationEvent derivationEvent = (DerivationEvent)dataSet.getEventBases().get(1);
 			assertNotNull("DerivationEvent must not be null",derivationEvent);
 			
-			assertEquals("GatheringEvent must be equal to FieldObservation.getGatheringEvent()",gatheringEvent, fieldObservation.getGatheringEvent());
+			assertEquals("GatheringEvent must be equal to FieldUnit.getGatheringEvent()",gatheringEvent, fieldUnit.getGatheringEvent());
 			assertTrue("DerivationEvent.derivatives must contain Specimen",derivationEvent.getDerivatives().contains(specimen));
 			assertEquals("DerivationEvent must equal Specimen.derivedFrom",derivationEvent,specimen.getDerivedFrom());
 	    }
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelImportConfiguratorTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelImportConfiguratorTest.java
index 6dc920e9ba..ed174fe0d1 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelImportConfiguratorTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelImportConfiguratorTest.java
@@ -30,7 +30,7 @@ import eu.etaxonomy.cdm.api.service.IOccurrenceService;
 import eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 
@@ -78,7 +78,7 @@ public class ExcelImportConfiguratorTest extends CdmTransactionalIntegrationTest
 		assertEquals("Number of TaxonNames should be 3", 3, nameService.count(null));
 		assertEquals("Number of specimen should be 6", 6, occurrenceService.count(SpecimenOrObservationBase.class));
 		assertEquals("Number of specimen should be 3", 3, occurrenceService.count(DerivedUnit.class));
-		assertEquals("Number of specimen should be 3", 3, occurrenceService.count(FieldObservation.class));
+		assertEquals("Number of specimen should be 3", 3, occurrenceService.count(FieldUnit.class));
 		
 	}
 
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelSpecimenImportExampleTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelSpecimenImportExampleTest.java
index b10b1fad3a..52b38b75b6 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelSpecimenImportExampleTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelSpecimenImportExampleTest.java
@@ -31,7 +31,7 @@ import eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 
 /**
@@ -83,8 +83,8 @@ public class ExcelSpecimenImportExampleTest extends
 		 assertTrue("Return value for import.invoke should be true", result);
 		 assertEquals("Number of specimen should be 3", 3,
 		 occurrenceService.count(DerivedUnit.class));
-		 assertEquals("Number of field observations should be 3", 3,
-		 occurrenceService.count(FieldObservation.class));
+		 assertEquals("Number of field units should be 3", 3,
+		 occurrenceService.count(FieldUnit.class));
 		
 		 printDataSet(System.out, new String[]{"SpecimenOrObservationBase","GatheringEvent","DerivationEvent"});
 	
@@ -98,7 +98,7 @@ public class ExcelSpecimenImportExampleTest extends
 		boolean result = defaultImport.invoke(configurator);
 		assertTrue("Return value for import.invoke should be true", result);
 		assertEquals("Number of specimen should be 3", 3, occurrenceService.count(DerivedUnit.class));
-		assertEquals("Number of field observations should be 3", 3, occurrenceService.count(FieldObservation.class));
+		assertEquals("Number of field units should be 3", 3, occurrenceService.count(FieldUnit.class));
 
 //		try {
 //			String filePath = System.getProperty("java.io.tmpdir")
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/package-info.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/package-info.java
index 531d1a12a5..5c509bb8eb 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/package-info.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/package-info.java
@@ -129,7 +129,7 @@
 		@MetaValue(value = "eu.etaxonomy.cdm.model.name.ViralName", targetEntity = ViralName.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.name.ZoologicalName", targetEntity = ZoologicalName.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.Collection", targetEntity = Collection.class),
-		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.FieldObservation", targetEntity = FieldObservation.class),
+		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.FieldUnit", targetEntity = FieldUnit.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.DerivedUnit", targetEntity = DerivedUnit.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.reference.Reference", targetEntity = Reference.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.reference.Journal", targetEntity = Reference.class),
@@ -183,7 +183,7 @@ import eu.etaxonomy.cdm.model.name.NomenclaturalStatus;
 import eu.etaxonomy.cdm.model.name.ViralName;
 import eu.etaxonomy.cdm.model.name.ZoologicalName;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Classification;
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnit.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnit.java
index 7ce19a8fa9..e54ba5c273 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnit.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnit.java
@@ -43,8 +43,8 @@ import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
 
 /**
- * A derived unit is regarded as derived from an field observation,
- * so locality and gathering related information is captured as a separate FieldObservation object
+ * A derived unit is regarded as derived from a field unit,
+ * so locality and gathering related information is captured as a separate FieldUnit object
  * related to a specimen via a derivation event
  * 
  * http://www.bgbm.org/biodivinf/docs/CollectionModel/ReprintTNR.pdf
@@ -185,27 +185,27 @@ public class DerivedUnit extends SpecimenOrObservationBase<IIdentifiableEntityCa
 	
 	
 	/**
-	 * create new unit derived from an existing field observation
-	 * @param fieldObservation existing field observation from where this unit is derived
+	 * Create new unit derived from an existing field unit
+	 * @param fieldUnit existing field unit from where this unit is derived
 	 */
-	protected DerivedUnit(SpecimenOrObservationType recordBasis, FieldObservation fieldObservation) {
+	protected DerivedUnit(SpecimenOrObservationType recordBasis, FieldUnit fieldUnit) {
 		super(recordBasis);
 		DerivationEvent derivedFrom = new DerivationEvent();
 		// TODO: should be done in a more controlled way. Probably by making derivation event implement a general relationship interface (for bidirectional add/remove etc)
-		fieldObservation.addDerivationEvent(derivedFrom);
-		derivedFrom.getOriginals().add(fieldObservation);
+		fieldUnit.addDerivationEvent(derivedFrom);
+		derivedFrom.getOriginals().add(fieldUnit);
 		derivedFrom.getDerivatives().add(this);
 		this.setDerivedFrom(derivedFrom);
 	}
 	
 	/**
 	 * create new unit derived from an existing gathering event,
-	 * thereby creating a new empty field observation
+	 * thereby creating a new empty field unit
 	 * @param gatheringEvent the gathering event this unit was collected at
 	 */
 	protected DerivedUnit(SpecimenOrObservationType recordBasis, GatheringEvent gatheringEvent) {
-		this(recordBasis, new FieldObservation());
-		FieldObservation field = (FieldObservation)this.getOriginalUnit();
+		this(recordBasis, new FieldUnit());
+		FieldUnit field = (FieldUnit)this.getOriginalUnit();
 		field.setGatheringEvent(gatheringEvent);
 	}
 
@@ -273,7 +273,7 @@ public class DerivedUnit extends SpecimenOrObservationBase<IIdentifiableEntityCa
 	/**
 	 * Will be removed in future versions as semantics is not clear.
 	 * For accessing the collecting number use
-	 * {@link FieldObservation#getFieldNumber()} instead.
+	 * {@link FieldUnit#getFieldNumber()} instead.
 	 * @return
 	 */
 	@Deprecated
@@ -284,7 +284,7 @@ public class DerivedUnit extends SpecimenOrObservationBase<IIdentifiableEntityCa
 	/**
 	 * Will be removed in future versions as semantics is not clear.
 	 * For editing the collecting number use
-	 * {@link FieldObservation#getFieldNumber()} instead.
+	 * {@link FieldUnit#getFieldNumber()} instead.
 	 * @return
 	 */
 	@Deprecated
